# Status

#### Description
Retrieves the current state of a Real Time Scheduling link.

#### URL format
```
{data_center_url}/v1/real_time_scheduling?token={token}
```

or

```
{data_center_url}/v1/real_time_scheduling/{id}
```

#### Example Request
You can request the status by either its ID or token.

```http
GET /v1/real_time_scheduling?token={token} HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {API_KEY}
```

```http
GET /v1/real_time_scheduling/{id} HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {API_KEY}
```

#### Request parameters
Either `token` or `id` are required, depending on which form of request you are making.

##### `token` *(required)*

The [`String`](/developers/api/data-types/index.md) that is returned as the final component of the [`real_time_scheduling.url`](/developers/api/scheduling/real-time-scheduling/index.md) parameter of the Real-Time Scheduling creation response body.

##### `id` *(required)*

The [`String`](/developers/api/data-types/index.md) that is returned on the [`real_time_scheduling.real_time_scheduling_id`](/developers/api/scheduling/real-time-scheduling/index.md) parameter of the Real-Time Scheduling creation response body.

##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
#### Example Response
```http
HTTP/1.1 200 Success

{
  "real_time_scheduling": {
    "real_time_scheduling_id": "sch_64b1859e8090ea21640c915f",
    "url": "{REAL_TIME_SCHEDULING_URL}",
    "event": {...},
    "status": "completed"
  }
}
```

#### Response parameters
##### `real_time_scheduling.real_time_scheduling_id`

The Cronofy identifier for the Real Time Scheduling link, a [`String`](/developers/api/data-types/index.md).

##### `real_time_scheduling.url`

The URL to direct the user to in order for them to select a time slot.

##### `real_time_scheduling.event`

The current state of the event associated with the link. Once completed the event will have `start` and `end` values.

##### `real_time_scheduling.status`

The [`String`](/developers/api/data-types/index.md) describing the current status of the link. Possible values:

- `open` a slot hasn't been chosen.

- `completed` a slot has been chosen.

- `disabled` the link has been disabled before a slot was chosen.

- `expired` no slot was chosen past the `query_periods.end`.



---
[Read in HTML](/developers/api/scheduling/real-time-scheduling/status/)